Bug 528840 - [abrt] crash detected in mono-core-2.4.2.3-2.fc12
[abrt] crash detected in mono-core-2.4.2.3-2.fc12
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
abrt_hash:efbd161ca8c5e10639b54a63d01...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-13 19:42 EDT by Renich Bon Ciric
Modified: 2010-02-24 05:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-24 05:15:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.88 KB, text/plain)
2009-10-13 19:42 EDT, Renich Bon Ciric
no flags Details

  None (edit)
Description Renich Bon Ciric 2009-10-13 19:42:44 EDT
abrt detected a crash.


How to reproduce
-----
1. Just start gnome-do and wait until it crashes

Comment
-----
This bug has been around for quite some time. gnome-do is crashing and here's the backtrace... please, check it out! I'll post the commandline output too:

[renich@introdesk ~]$ gdb gnome-do
GNU gdb (GDB) Fedora (6.8.91.20090930-2.fc12)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
"/usr/bin/gnome-do": not in executable format: File format not recognized
(gdb) run
Starting program:  
No executable file specified.
Use the "file" or "exec-file" command.
(gdb) quit
[renich@introdesk ~]$ gnome-do

(Do:2981): Wnck-CRITICAL **: wnck_set_client_type got called multiple times.

[Error 17:49:00.584] [TSClientItemSource] Could not open directory '/home/renich/.tsclient'
[Error 17:57:16.229] [TSClientItemSource] Could not open directory '/home/renich/.tsclient'

** (Do:2981): WARNING **: The following assembly referenced from /usr/lib64/gnome-do/Do.Platform.Linux.dll could not be loaded:
     Assembly:   notify-sharp    (assemblyref_index=16)
     Version:    0.4.0.0
     Public Key: 2df29c54e245917a
The assembly was not found in the Global Assembly Cache, a path listed in the MONO_PATH environment variable, or in the location of the executing assembly (/usr/lib64/gnome-do/).


** (Do:2981): WARNING **: Could not load file or assembly 'notify-sharp, Version=0.4.0.0, Culture=neutral, PublicKeyToken=2df29c54e245917a' or one of its dependencies.

** (Do:2981): WARNING **: Could not load file or assembly 'notify-sharp, Version=0.4.0.0, Culture=neutral, PublicKeyToken=2df29c54e245917a' or one of its dependencies.
[Error 17:58:49.691] Error in RunOnMainThread: Could not load file or assembly 'notify-sharp, Version=0.4.0.0, Culture=neutral, PublicKeyToken=2df29c54e245917a' or one of its dependencies.
[Error 18:07:33.036] [TSClientItemSource] Could not open directory '/home/renich/.tsclient'
[Error 18:17:51.034] [TSClientItemSource] Could not open directory '/home/renich/.tsclient'
[Error 18:28:06.959] [TSClientItemSource] Could not open directory '/home/renich/.tsclient'

** (Do:2981): WARNING **: Could not load file or assembly 'notify-sharp, Version=0.4.0.0, Culture=neutral, PublicKeyToken=2df29c54e245917a' or one of its dependencies.
Stacktrace:

  at Do.Platform.Linux.TrayIconService.ShowNotification (Do.Platform.Notification) <0xffffffff>
  at Do.Platform.Linux.TrayIconService.ShowNotification (Do.Platform.Notification) <0x00048>
  at Do.Platform.Linux.TrayIconService/<OnNotified>c__AnonStoreyA.<>m__9 () <0x00023>
  at Do.Platform.ApplicationService/<RunOnMainThread>c__AnonStorey10.<>m__28 (object,System.EventArgs) <0x00021>
  at Gtk.Application/InvokeCB.Invoke () <0x0001c>
  at GLib.Timeout/TimeoutProxy.Handler () <0x0003c>
  at (wrapper native-to-managed) GLib.Timeout/TimeoutProxy.Handler () <0xffffffff>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0x00052>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0xffffffff>
  at Gtk.Application.Run () <0x0000b>
  at Do.Do.Main (string[]) <0x0022f>
  at (wrapper runtime-invoke) Do.Do.runtime_invoke_void_object (object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

	mono() [0x477dcf]
	mono() [0x4aafbf]
	/lib64/libpthread.so.0() [0x34af80f320]
	mono(mono_object_new_specific+0x16) [0x4cb876]
	mono(mono_exception_from_name_domain+0x1d) [0x50933d]
	mono(mono_exception_from_name_msg+0xe) [0x50962e]
	mono() [0x41c473]
	mono() [0x47f91d]
	[0x40a1a168]

Debug info from gdb:

[Thread debugging using libthread_db enabled]
[New Thread 0x7fbaec6a2710 (LWP 5103)]
[New Thread 0x7fbae5de2710 (LWP 4981)]
[New Thread 0x7fbae730e710 (LWP 4698)]
[New Thread 0x7fbaec298710 (LWP 3224)]
[New Thread 0x7fbaec06b710 (LWP 3223)]
[New Thread 0x7fbae79ef710 (LWP 3002)]
[New Thread 0x7fbaedbc5710 (LWP 2986)]
[New Thread 0x7fbaf474a710 (LWP 2983)]
[New Thread 0x7fbaf4dae710 (LWP 2982)]
0x00000034af80e49d in read () at ../sysdeps/unix/syscall-template.S:82
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
Current language:  auto
The current source language is "auto; currently asm".
  10 Thread 0x7fbaf4dae710 (LWP 2982)  0x00000034af80eb4d in nanosleep () at ../sysdeps/unix/syscall-template.S:82
  9 Thread 0x7fbaf474a710 (LWP 2983)  sem_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/sem_wait.S:86
  8 Thread 0x7fbaedbc5710 (LWP 2986)  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
  7 Thread 0x7fbae79ef710 (LWP 3002)  0x00000034af0e19c3 in epoll_wait () at ../sysdeps/unix/syscall-template.S:82
  6 Thread 0x7fbaec06b710 (LWP 3223)  0x00000034af0d7fe3 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
  5 Thread 0x7fbaec298710 (LWP 3224)  0x00000034af80eb4d in nanosleep () at ../sysdeps/unix/syscall-template.S:82
  4 Thread 0x7fbae730e710 (LWP 4698)  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
  3 Thread 0x7fbae5de2710 (LWP 4981)  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
  2 Thread 0x7fbaec6a2710 (LWP 5103)  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
* 1 Thread 0x7fbafa15d740 (LWP 2981)  0x00000034af80e49d in read () at ../sysdeps/unix/syscall-template.S:82

Thread 10 (Thread 0x7fbaf4dae710 (LWP 2982)):
#0  0x00000034af80eb4d in nanosleep () at ../sysdeps/unix/syscall-template.S:82
#1  0x0000000000551092 in ?? ()
#2  0x00000034af80696a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#3  0x00000034af0e13cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fbaf474a710 (LWP 2983)):
#0  sem_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/sem_wait.S:86
#1  0x00000000004e088a in ?? ()
#2  0x000000000050052a in ?? ()
#3  0x000000000056ab11 in ?? ()
#4  0x00000000005882be in ?? ()
#5  0x00000034af80696a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00000034af0e13cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fbaedbc5710 (LWP 2986)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x0000000000555685 in ?? ()
#2  0x000000000056df1e in ?? ()
#3  0x00000000004fdafb in ?? ()
#4  0x000000004114581e in ?? ()
#5  0x00007fbae8001130 in ?? ()
#6  0x00007fbaee7e9168 in ?? ()
#7  0x00007fbaef49b8b8 in ?? ()
#8  0x00000000411456d4 in ?? ()
#9  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fbae79ef710 (LWP 3002)):
#0  0x00000034af0e19c3 in epoll_wait () at ../sysdeps/unix/syscall-template.S:82
#1  0x00000000005038c7 in ?? ()
#2  0x000000000050052a in ?? ()
#3  0x000000000056ab11 in ?? ()
#4  0x00000000005882be in ?? ()
#5  0x00000034af80696a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00000034af0e13cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fbaec06b710 (LWP 3223)):
#0  0x00000034af0d7fe3 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000038f183c9fc in g_main_context_poll (n_fds=<value optimized out>, fds=<value optimized out>, priority=<value optimized out>, 
    timeout=<value optimized out>, context=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (n_fds=<value optimized out>, fds=<value optimized out>, priority=<value optimized out>, timeout=<value optimized out>, 
    context=<value optimized out>) at gmain.c:2586
#3  0x00000038f183d065 in IA__g_main_loop_run (loop=0x7fbae00ef340) at gmain.c:2799
#4  0x00000038f5447560 in ?? () from /usr/lib64/libORBit-2.so.0
#5  0x00000038f1862134 in g_thread_create_proxy (data=0x7fbae00ef360) at gthread.c:635
#6  0x00000034af80696a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#7  0x00000034af0e13cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fbaec298710 (LWP 3224)):
#0  0x00000034af80eb4d in nanosleep () at ../sysdeps/unix/syscall-template.S:82
#1  0x0000000000569c44 in ?? ()
#2  0x00000000004ffb9e in ?? ()
#3  0x0000000040129095 in ?? ()
#4  0x00007fbad000f330 in ?? ()
#5  0x00007fbaec297d60 in ?? ()
#6  0x00007fbaec297bf0 in ?? ()
#7  0x00007fbaec298710 in ?? ()
#8  0x00007fbae06ef3f0 in ?? ()
#9  0x00007fbaec297d60 in ?? ()
#10 0x00007fbaec297c10 in ?? ()
#11 0x00007fbaec298710 in ?? ()
#12 0x00007fbaef485fc0 in ?? ()
#13 0x00007fbaef473720 in ?? ()
#14 0x000000000001d4c0 in ?? ()
#15 0x0000000040129eb0 in ?? ()
#16 0x00007fbaee7dcf18 in ?? ()
#17 0x0000000047868c00 in ?? ()
#18 0x0000000000000001 in ?? ()
#19 0x0000000040129ce4 in ?? ()
#20 0xffffffffff000000 in ?? ()
#21 0x00007fbaef485fc0 in ?? ()
#22 0x000000000171dc18 in ?? ()
#23 0x00007fbae6b35d00 in ?? ()
#24 0x00007fbae6b35d00 in ?? ()
#25 0x0000000041142bbe in ?? ()
#26 0x0000000000000000 in ?? ()
Current language:  auto
The current source language is "auto; currently c".

Thread 4 (Thread 0x7fbae730e710 (LWP 4698)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x0000000000555685 in ?? ()
#2  0x000000000056df1e in ?? ()
#3  0x0000000000502ca2 in ?? ()
#4  0x000000000050052a in ?? ()
#5  0x000000000056ab11 in ?? ()
#6  0x00000000005882be in ?? ()
#7  0x00000034af80696a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#8  0x00000034af0e13cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()
Current language:  auto
The current source language is "auto; currently asm".

Thread 3 (Thread 0x7fbae5de2710 (LWP 4981)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000000005556f8 in ?? ()
#2  0x000000000056e09b in ?? ()
#3  0x0000000000502d25 in ?? ()
#4  0x000000000050052a in ?? ()
#5  0x000000000056ab11 in ?? ()
#6  0x00000000005882be in ?? ()
#7  0x00000034af80696a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#8  0x00000034af0e13cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fbaec6a2710 (LWP 5103)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x0000000000555685 in ?? ()
#2  0x000000000056df1e in ?? ()
#3  0x0000000000503cd3 in ?? ()
#4  0x000000000050052a in ?? ()
#5  0x000000000056ab11 in ?? ()
#6  0x00000000005882be in ?? ()
#7  0x00000034af80696a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#8  0x00000034af0e13cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fbafa15d740 (LWP 2981)):
#0  0x00000034af80e49d in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x0000000000477f44 in ?? ()
#2  0x00000000004aafbf in ?? ()
#3  <signal handler called>
#4  0x00000000004cb876 in mono_object_new_specific ()
#5  0x000000000050933d in mono_exception_from_name_domain ()
#6  0x000000000050962e in mono_exception_from_name_msg ()
#7  0x000000000041c473 in ?? ()
#8  0x000000000047f91d in ?? ()
#9  0x0000000040a1a168 in ?? ()
#10 0x00007fbaf507ddb0 in ?? ()
#11 0x00007fbaef495068 in ?? ()
#12 0x00007fff715568a0 in ?? ()
#13 0x00000000005009ea in ?? ()
#14 0x0000000040a1b063 in ?? ()
#15 0x0000000040a1bd10 in ?? ()
#16 0x00007fbaf507ddb0 in ?? ()
#17 0x00000000017f3c50 in ?? ()
#18 0x000000000047f2eb in ?? ()
#19 0x0000000040a1b063 in ?? ()
#20 0x00007fff71556920 in ?? ()
#21 0x0000000040a1b063 in ?? ()
#22 0x0000000000000000 in ?? ()

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

/usr/bin/gnome-do: line 22:  2981 Aborted                 (core dumped) mono "$GNOME_DO_EXE" "$@"


Additional information
======


Attached files
----
backtrace

cmdline
-----
mono /usr/lib64/gnome-do/Do.exe 


component
-----
mono


executable
-----
/usr/bin/mono


kernel
-----
2.6.31.1-56.fc12.x86_64


package
-----
mono-core-2.4.2.3-2.fc12


reason
-----
Process was terminated by signal 6
Comment 1 Renich Bon Ciric 2009-10-13 19:42:48 EDT
Created attachment 364667 [details]
File: backtrace
Comment 2 Bug Zapper 2009-11-16 08:38:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Karel Klíč 2010-02-24 05:15:19 EST
This bug appears to have been filled using a buggy version of ABRT, because
it contains unusable backtrace. Sorry for the inconvenience.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.